import { Base, IEquatable$1, Nullable$1, Type } from "igniteui-webcomponents-core";
import { IGFormattedTextSettingsFlags } from "./IGFormattedTextSettingsFlags";
import { FontSuperscriptSubscriptStyle } from "igniteui-webcomponents-excel";
import { FontUnderlineStyle } from "igniteui-webcomponents-excel";
import { WorkbookColorInfo } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class IGFormattedTextSettings extends Base implements IEquatable$1<IGFormattedTextSettings> {
    static $t: Type;
    private _u;
    private _i;
    private _j;
    private _k;
    private _l;
    private _m;
    private _n;
    private _c;
    private _a;
    equals1(a: any): boolean;
    getHashCode(): number;
    get _v(): string;
    set _v(a: string);
    get _o(): Nullable$1<boolean>;
    set _o(a: Nullable$1<boolean>);
    get _p(): Nullable$1<number>;
    set _p(a: Nullable$1<number>);
    get _b(): IGFormattedTextSettingsFlags;
    get _q(): Nullable$1<boolean>;
    set _q(a: Nullable$1<boolean>);
    get _r(): Nullable$1<boolean>;
    set _r(a: Nullable$1<boolean>);
    get _s(): Nullable$1<FontSuperscriptSubscriptStyle>;
    set _s(a: Nullable$1<FontSuperscriptSubscriptStyle>);
    get _t(): Nullable$1<FontUnderlineStyle>;
    set _t(a: Nullable$1<FontUnderlineStyle>);
    get _d(): WorkbookColorInfo;
    set _d(a: WorkbookColorInfo);
    _w(a: IGFormattedTextSettings): void;
    private _x;
    private _y;
    _z(a: IGFormattedTextSettings): void;
    equals(a: IGFormattedTextSettings): boolean;
    _f(): boolean;
    private _g;
    _aa(a: IGFormattedTextSettings): void;
    private _ab;
}
